<?php

namespace app\themes\svo\assets;

use kernel\Assets;

class SvoThemesAssets extends Assets
{
    protected function createCSS(): void
    {
        $this->registerCSS(slug: "tabler-icons", resource: "/assets/fonts/tabler-icons.min.css");
        $this->registerCSS(slug: "feather", resource: "/assets/fonts/feather.css");
        $this->registerCSS(slug: "fontawesome", resource: "/assets/fonts/fontawesome.css");
        $this->registerCSS(slug: "material", resource: "/assets/fonts/material.css");
        $this->registerCSS(slug: "style", resource: "/assets/css/style.css");
        $this->registerCSS(slug: "style-preset", resource: "/assets/css/style-preset.css");
    }

    protected function createJS(): void
    {
        $this->registerJS(slug: "popper", resource: "/assets/js/plugins/popper.min.js");
        $this->registerJS(slug: "simplebar", resource: "/assets/js/plugins/simplebar.min.js");
        $this->registerJS(slug: "bootstrap", resource: "/assets/js/plugins/bootstrap.min.js");
        $this->registerJS(slug: "custom-font", resource: "/assets/js/fonts/custom-font.js");
        $this->registerJS(slug: "pcoded", resource: "/assets/js/pcoded.js");
        $this->registerJS(slug: "feather", resource: "/assets/js/plugins/feather.min.js");
    }
}